- [HTTP request](https://developers.google.com/pay/india-cards-v1/google-india-cards-api/updateMandateStatus#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/pay/india-cards-v1/google-india-cards-api/updateMandateStatus#body.request_body)
  - [JSON representation](https://developers.google.com/pay/india-cards-v1/google-india-cards-api/updateMandateStatus#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/pay/india-cards-v1/google-india-cards-api/updateMandateStatus#body.response_body)
- [MandateStatus](https://developers.google.com/pay/india-cards-v1/google-india-cards-api/updateMandateStatus#MandateStatus)
  - [JSON representation](https://developers.google.com/pay/india-cards-v1/google-india-cards-api/updateMandateStatus#MandateStatus.SCHEMA_REPRESENTATION)
- [MandateCancelled](https://developers.google.com/pay/india-cards-v1/google-india-cards-api/updateMandateStatus#MandateCancelled)
  - [JSON representation](https://developers.google.com/pay/india-cards-v1/google-india-cards-api/updateMandateStatus#MandateCancelled.SCHEMA_REPRESENTATION)
- [MandatePaused](https://developers.google.com/pay/india-cards-v1/google-india-cards-api/updateMandateStatus#MandatePaused)
  - [JSON representation](https://developers.google.com/pay/india-cards-v1/google-india-cards-api/updateMandateStatus#MandatePaused.SCHEMA_REPRESENTATION)
- [UpdateMandateStatusResponse](https://developers.google.com/pay/india-cards-v1/google-india-cards-api/updateMandateStatus#UpdateMandateStatusResponse)
  - [JSON representation](https://developers.google.com/pay/india-cards-v1/google-india-cards-api/updateMandateStatus#UpdateMandateStatusResponse.SCHEMA_REPRESENTATION)
- [UpdateMandateStatusResult](https://developers.google.com/pay/india-cards-v1/google-india-cards-api/updateMandateStatus#UpdateMandateStatusResult)
  - [JSON representation](https://developers.google.com/pay/india-cards-v1/google-india-cards-api/updateMandateStatus#UpdateMandateStatusResult.SCHEMA_REPRESENTATION)

Inform Google of a change in status of a mandate due to user activities outside of Google.

An example request looks like:


    {
      "requestHeader": {
        "protocolVersion": {
          "major": 1
        },
        "requestId": "cmVxdWVzdDE",
        "requestTimestamp": {
          "epochMillis": "1481899949606"
        },
        "paymentIntegratorAccountId": "SpeedyPaymentsIndia_INR"
      },
      "mandateId": "MA061B00045154",
      "updateSequenceTimestamp": {
        "epochMillis": "1481899949606"
      },
      "mandateStatus": {
        "mandateCancelled": {}
      }
    }

An example response looks like:


    {
      "responseHeader": {
        "responseTimestamp": {
          "epochMillis": "1481899949611"
        }
      },
      "result": {
        "success": {}
      }
    }

### HTTP request

`POST https://vgw.googleapis.com/secure-serving/gsp/india-cards-v1/cardMandateManagement/updateMandateStatus/https://developers.google.com/pay/india-cards-v1/reference/glossary#payment_integrator_account_id`

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requestHeader": { object (https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/RequestHeader) }, "mandateId": string, "updateSequenceTimestamp": { object (https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/Timestamp) }, "mandateStatus": { object (`https://developers.google.com/pay/india-cards-v1/google-india-cards-api/updateMandateStatus#MandateStatus`) } } ``` |

| Fields ||
|---|---|
| `requestHeader` | `object (https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/RequestHeader)` **REQUIRED**: Common header for all requests. |
| `mandateId` | `string` **REQUIRED**: The unique identifier for the mandate that is being updated. |
| `updateSequenceTimestamp` | `object (https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/Timestamp)` **REQUIRED**: A timestamp (in UTC) describing when this request was sent. |
| `mandateStatus` | ``object (`https://developers.google.com/pay/india-cards-v1/google-india-cards-api/updateMandateStatus#MandateStatus`)`` **REQUIRED**: The latest status of this mandate. |

### Response body

This method supports multiple return types. For additional information about what 4XX or 5XX HTTP status code to return with an `ErrorResponse`, consult the `ErrorResponse` object and [HTTP status codes documentation](https://developers.google.com/pay/india-cards-v1/guides/connectivity/protocol-standards#http_status_codes).

| JSON representation |
|---|
| ``` { // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "response": { object (`https://developers.google.com/pay/india-cards-v1/google-india-cards-api/updateMandateStatus#UpdateMandateStatusResponse`) }, "errorResponse": { object (https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/ErrorResponse) } // End of mutually exclusive fields. } ``` |

| Possible response messages ||
|---|---|
| HTTP 200 Status | ``object (`https://developers.google.com/pay/india-cards-v1/google-india-cards-api/updateMandateStatus#UpdateMandateStatusResponse`)`` The standard response message for `updateMandateStatus`. |
| HTTP 4XX / 5XX Status | `object (https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/ErrorResponse)` The error response message for `updateMandateStatus`. |
| End of mutually exclusive fields. ||

## MandateStatus

The status of a mandate.

| JSON representation |
|---|
| ``` { // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "mandateActive": { object (https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/Empty) }, "mandateCancelled": { object (`https://developers.google.com/pay/india-cards-v1/google-india-cards-api/updateMandateStatus#MandateCancelled`) }, "mandatePaused": { object (`https://developers.google.com/pay/india-cards-v1/google-india-cards-api/updateMandateStatus#MandatePaused`) } // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| **REQUIRED**: The status must contain exactly one of these messages. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `mandateActive` | `object (https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/Empty)` The mandate is active and can be used for transactions. |
| `mandateCancelled` | ``object (`https://developers.google.com/pay/india-cards-v1/google-india-cards-api/updateMandateStatus#MandateCancelled`)`` The mandate is cancelled and cannot be used for future transactions. |
| `mandatePaused` | ``object (`https://developers.google.com/pay/india-cards-v1/google-india-cards-api/updateMandateStatus#MandatePaused`)`` The mandate is paused and cannot be used for transactions until re-activated. |
| End of mutually exclusive fields. ||

## MandateCancelled

This mandate is cancelled in the network.

| JSON representation |
|---|
| ``` { "rawResult": { object (https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/capture#RawResult) } } ``` |

| Fields ||
|---|---|
| `rawResult` | `object (https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/capture#RawResult)` **OPTIONAL** : Raw result of this event. Used to help inform Google's risk engine and analytics. In decline code--mapping situations, data is sometimes lost. The integrator can choose to give Google a raw code. For example, a credit card gateway (the integrator) may use this field to communicate to Google the exact decline code that was received from the VISA network. In that case, the `scope` would be "visa" and the `rawCode` would be whatever the VISA network returned. |

## MandatePaused

This mandate is paused in the network.

| JSON representation |
|---|
| ``` { "rawResult": { object (https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/capture#RawResult) } } ``` |

| Fields ||
|---|---|
| `rawResult` | `object (https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/capture#RawResult)` **OPTIONAL** : Raw result of this event. Used to help inform Google's risk engine and analytics. In decline code--mapping situations, data is sometimes lost. The integrator can choose to give Google a raw code. For example, a credit card gateway (the integrator) may use this field to communicate to Google the exact decline code that was received from the VISA network. In that case, the `scope` would be "visa" and the `rawCode` would be whatever the VISA network returned. |

## UpdateMandateStatusResponse

Response object for the `updateMandateStatus` method.

| JSON representation |
|---|
| ``` { "responseHeader": { object (https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/ResponseHeader) }, "result": { object (`https://developers.google.com/pay/india-cards-v1/google-india-cards-api/updateMandateStatus#UpdateMandateStatusResult`) } } ``` |

| Fields ||
|---|---|
| `responseHeader` | `object (https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/ResponseHeader)` **REQUIRED**: Common header for all responses. |
| `result` | ``object (`https://developers.google.com/pay/india-cards-v1/google-india-cards-api/updateMandateStatus#UpdateMandateStatusResult`)`` **REQUIRED**: Result of this call. |

## UpdateMandateStatusResult

Result codes for the `updateMandateStatus` method.

| JSON representation |
|---|
| ``` { // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "success": { object (https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/Empty) } // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| **REQUIRED**: The result must contain exactly one of these messages. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `success` | `object (https://developers.google.com/pay/india-cards-v1/payment-integrator-india-cards-api/Empty)` Update mandate status was successfully processed. |
| End of mutually exclusive fields. ||